---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libma10t004.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3FA0, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C810, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E750, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EB38, symBinAddr: 0xE4F8, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FAD8, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FAE0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C490, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C494, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C498, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C5E8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C6A0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C6A4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C6A8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C6AC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C6B0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C6B8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4C6C8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C6D0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C6D8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C6E0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C6E8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C6F0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4C738, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x4C778, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL21SingleStepEventsCount, symObjAddr: 0x4C780, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2F64, symSize: 0xA0 }
  - { offsetInCU: 0x95B2, offset: 0x95B2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2F3C, symSize: 0x28 }
  - { offsetInCU: 0x9615, offset: 0x9615, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2EBC, symSize: 0x80 }
  - { offsetInCU: 0x98A9, offset: 0x98A9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3004, symSize: 0x34 }
  - { offsetInCU: 0x9903, offset: 0x9903, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3038, symSize: 0x20C }
  - { offsetInCU: 0x9ABC, offset: 0x9ABC, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3244, symSize: 0x28 }
  - { offsetInCU: 0x9B85, offset: 0x9B85, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x326C, symSize: 0xB0 }
  - { offsetInCU: 0x9C7C, offset: 0x9C7C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x331C, symSize: 0xD8 }
  - { offsetInCU: 0x9DCD, offset: 0x9DCD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x33F4, symSize: 0x24 }
  - { offsetInCU: 0x9F08, offset: 0x9F08, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3418, symSize: 0x168 }
  - { offsetInCU: 0xA0E4, offset: 0xA0E4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3580, symSize: 0x104 }
  - { offsetInCU: 0xA395, offset: 0xA395, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3684, symSize: 0x3F8 }
  - { offsetInCU: 0xA5B9, offset: 0xA5B9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3A7C, symSize: 0x154 }
  - { offsetInCU: 0xA79D, offset: 0xA79D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3BD0, symSize: 0xAC }
  - { offsetInCU: 0xA872, offset: 0xA872, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3C7C, symSize: 0x14 }
  - { offsetInCU: 0xA8AB, offset: 0xA8AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3C90, symSize: 0x14 }
  - { offsetInCU: 0xA8E4, offset: 0xA8E4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3CA4, symSize: 0x14 }
  - { offsetInCU: 0xAAC5, offset: 0xAAC5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3CB8, symSize: 0x1A8 }
  - { offsetInCU: 0xADCF, offset: 0xADCF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3E60, symSize: 0x140 }
  - { offsetInCU: 0xAF70, offset: 0xAF70, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4210, symSize: 0x1C0 }
  - { offsetInCU: 0xB24D, offset: 0xB24D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x43D0, symSize: 0x9C }
  - { offsetInCU: 0xB30A, offset: 0xB30A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x446C, symSize: 0x690 }
  - { offsetInCU: 0xBE9C, offset: 0xBE9C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9710, symBinAddr: 0x614C, symSize: 0x30 }
  - { offsetInCU: 0xBF28, offset: 0xBF28, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4AFC, symSize: 0x74 }
  - { offsetInCU: 0xC010, offset: 0xC010, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4B70, symSize: 0xB0 }
  - { offsetInCU: 0xC11B, offset: 0xC11B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x4BA0, symBinAddr: 0x4C20, symSize: 0x1E4 }
  - { offsetInCU: 0xC35D, offset: 0xC35D, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x4D84, symBinAddr: 0x4E04, symSize: 0x320 }
  - { offsetInCU: 0xC7D2, offset: 0xC7D2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5124, symSize: 0x3C }
  - { offsetInCU: 0xC8C8, offset: 0xC8C8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5160, symSize: 0x29C }
  - { offsetInCU: 0xCC0B, offset: 0xCC0B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x53FC, symSize: 0xD0 }
  - { offsetInCU: 0xCD39, offset: 0xCD39, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x54CC, symSize: 0xC }
  - { offsetInCU: 0xCDFB, offset: 0xCDFB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x54D8, symSize: 0x22C }
  - { offsetInCU: 0xD0B6, offset: 0xD0B6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5704, symSize: 0x4 }
  - { offsetInCU: 0xD0FA, offset: 0xD0FA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5704, symSize: 0x4 }
  - { offsetInCU: 0xD113, offset: 0xD113, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5708, symSize: 0x290 }
  - { offsetInCU: 0xD3EF, offset: 0xD3EF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F5C, symBinAddr: 0x5998, symSize: 0x4 }
  - { offsetInCU: 0xD433, offset: 0xD433, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F5C, symBinAddr: 0x5998, symSize: 0x4 }
  - { offsetInCU: 0xD4AB, offset: 0xD4AB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F60, symBinAddr: 0x599C, symSize: 0x4D0 }
  - { offsetInCU: 0xDA79, offset: 0xDA79, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x9430, symBinAddr: 0x5E6C, symSize: 0x2E0 }
  - { offsetInCU: 0xDD20, offset: 0xDD20, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9740, symBinAddr: 0x617C, symSize: 0x358 }
...
